Index: pg_regress.c
===================================================================
RCS file: /cvsroot/pgsql/src/test/regress/pg_regress.c,v
retrieving revision 1.69
diff -u -3 -p -r1.69 pg_regress.c
--- pg_regress.c	2 Jan 2010 16:58:15 -0000	1.69
+++ pg_regress.c	17 Jan 2010 20:18:21 -0000
@@ -1392,8 +1392,6 @@ wait_for_tests(PID_TYPE * pids, int *sta
 #endif
 				pids[i] = INVALID_PID;
 				statuses[i] = (int) exit_status;
-				if (names)
-					status(" %s", names[i]);
 				tests_left--;
 				break;
 			}
@@ -1565,6 +1563,7 @@ run_schedule(const char *schedule, test_
 								   tests + oldest, i - oldest);
 					oldest = i;
 				}
+				status(" %s", tests[i]);
 				pids[i] = (tfunc) (tests[i], &resultfiles[i], &expectfiles[i], &tags[i]);
 			}
 			wait_for_tests(pids + oldest, statuses + oldest,
@@ -1576,6 +1575,7 @@ run_schedule(const char *schedule, test_
 			status(_("parallel group (%d tests): "), num_tests);
 			for (i = 0; i < num_tests; i++)
 			{
+				status(" %s", tests[i]);
 				pids[i] = (tfunc) (tests[i], &resultfiles[i], &expectfiles[i], &tags[i]);
 			}
 			wait_for_tests(pids, statuses, tests, num_tests);
